//
//  AppViewModel.swift
//  AcaMate
//
//  Created by Sean Kim on 12/16/24.
//

import SwiftUI
import Combine

class AppViewModel: ObservableObject {
    @Published var isLoading: Bool = false
    @Published var showAlert: Bool = false
    @Published var menuName: MenuName = .Home
    
    var alertData: AlertData = .init(body: "")
    
    let alertAction = CurrentValueSubject<String?, Never>(nil)
    
}
